=== debian/changelog ===
kodi-dmo (5:20.5-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2024 11:53:19 +0100

kodi-dmo (5:20.4-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Feb 2024 11:17:24 +0100

kodi-dmo (5:20.3-dmo0~bpo11+2) oldstable-backports; urgency=medium

  * Build with APP_RENDER_SYSTEM=gles for arm platforms.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Feb 2024 16:36:18 +0100

kodi-dmo (5:20.3-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jan 2024 10:19:21 +0100

kodi-dmo (5:20.2-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jul 2023 12:40:34 +0200

kodi-dmo (5:20.1-dmo~bpo11+1) stable-backports; urgency=medium

  * New upstream release.
  * Remove 06_Fix-exif-crash.patch applied upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2023 18:14:28 +0100

kodi-dmo (5:20.0-dmo~bpo11+1) stable-backports; urgency=medium

  * New upstream release for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Jan 2023 14:41:21 +0100
