=== debian/watch ===
version=4

https://github.com/xbmc/xbmc/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@
